summaryrefslogtreecommitdiffstats
path: root/tests/test3.tst
diff options
context:
space:
mode:
authorClark Williams <williams@redhat.com>2010-07-16 07:57:57 -0500
committerClark Williams <williams@redhat.com>2010-07-27 13:59:07 -0500
commit2149d0815501d3721ccfdb8203e54a7bcb59ff32 (patch)
tree9a826c9796826dbac7b3ecdf16814e08da1a027b /tests/test3.tst
parented9826cee13b35c1c9df2a8018459394064767ff (diff)
downloadmock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.tar.gz
mock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.tar.xz
mock-2149d0815501d3721ccfdb8203e54a7bcb59ff32.zip
moved test suite to 'tests' directory
Moved test infrastructure into the tests directory and broke component tests out into individual scripts. Signed-off-by: Clark Williams <williams@redhat.com>
Diffstat (limited to 'tests/test3.tst')
-rw-r--r--tests/test3.tst14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/test3.tst b/tests/test3.tst
new file mode 100644
index 0000000..20ecce1
--- /dev/null
+++ b/tests/test3.tst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# Test that chroot with one arg is getting passed though a shell (via os.system())
+#
+header "testing that args are passed correctly to a shell"
+runcmd "$MOCKCMD --offline --chroot 'touch /tmp/{foo,bar,baz}'"
+if [ ! -f $CHROOT/tmp/foo ] || [ ! -f $CHROOT/tmp/bar ] || [ ! -f $CHROOT/tmp/baz ]; then
+ echo "'mock --chroot' with one argument is not being passed to os.system()"
+ exit 1
+fi
+